# Tavily

## POST /tavily/v1/extract

> Use Tavily to extract content from web pages.

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/tavily/v1/extract":{"post":{"operationId":"tavilyExtractV1","summary":"Use Tavily to extract content from web pages.","tags":["Tavily"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"./schemas/tavily/v1/extract/input.json"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/tavily/v1/extract/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## POST /tavily/v1/search

> Use Tavily to search the web.

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/tavily/v1/search":{"post":{"operationId":"tavilySearchV1","summary":"Use Tavily to search the web.","tags":["Tavily"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"./schemas/tavily/v1/search/input.json"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/tavily/v1/search/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```
